import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:memorias_calculo/src/back/models/nueva_cuenta_model.dart';

class NuevaCuentaProvider{
  String _url = "smart.solerpalau.mx";
  NuevaCuentaModel _nuevaCuentaModel = NuevaCuentaModel(
      result: Result(
          movil: "no-data",
          correo: "no-data",
          nombre: "no-data",
          idUsuario: "no-data",
          token: "no-data"
      ),
      response: false,
      message: "error"
  );

  Future<NuevaCuentaModel> registrarNuevaCuenta(String nombre, String pais, String estado, String ciudad, String movil, String correo, String contra) async{
    final url = Uri.https(_url, 'QA/api/v1/matrizMemoriasCalculo/nuevaCuenta');
    final res = await http.post(url,
        body: {
          "NOMBRE" : nombre,
          "PAIS" : pais,
          "ESTADO" : estado,
          "CIUDAD" : ciudad,
          "MOVIL" : movil,
          "CORREO" : correo,
          "CONTRA" : contra
        }
    );

    final decoded = jsonDecode(res.body);
    if(!decoded['response']){
      _nuevaCuentaModel.message = decoded['message'];
      return _nuevaCuentaModel;
    }else{
      final nuevaCuenta = NuevaCuentaModel.fromJson(decoded);
      return nuevaCuenta;
    }
  }
}